//Copyright (C)2014-2024 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.9.03 (64-bit)
//Part Number: GW5AST-LV138FPG676AES
//Device: GW5AST-138
//Device Version: B
//Created Time: Wed May  8 15:54:04 2024

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	USB30_Device_Controller_Top your_instance_name(
		.phy_clk_i(phy_clk_i), //input phy_clk_i
		.reset_n_i(reset_n_i), //input reset_n_i
		.phy_pipe_rx_data_i(phy_pipe_rx_data_i), //input [31:0] phy_pipe_rx_data_i
		.phy_pipe_rx_datak_i(phy_pipe_rx_datak_i), //input [3:0] phy_pipe_rx_datak_i
		.phy_pipe_rx_valid_i(phy_pipe_rx_valid_i), //input phy_pipe_rx_valid_i
		.phy_pipe_tx_data_o(phy_pipe_tx_data_o), //output [31:0] phy_pipe_tx_data_o
		.phy_pipe_tx_datak_o(phy_pipe_tx_datak_o), //output [3:0] phy_pipe_tx_datak_o
		.phy_reset_n_o(phy_reset_n_o), //output phy_reset_n_o
		.phy_tx_detrx_lpbk_o(phy_tx_detrx_lpbk_o), //output phy_tx_detrx_lpbk_o
		.phy_tx_elecidle_o(phy_tx_elecidle_o), //output phy_tx_elecidle_o
		.phy_rx_elecidle_i(phy_rx_elecidle_i), //input phy_rx_elecidle_i
		.phy_rx_status_i(phy_rx_status_i), //input [2:0] phy_rx_status_i
		.phy_power_down_o(phy_power_down_o), //output [1:0] phy_power_down_o
		.phy_phy_status_i(phy_phy_status_i), //input phy_phy_status_i
		.phy_pwrpresent_i(phy_pwrpresent_i), //input phy_pwrpresent_i
		.phy_tx_oneszeros_o(phy_tx_oneszeros_o), //output phy_tx_oneszeros_o
		.phy_tx_deemph_o(phy_tx_deemph_o), //output [1:0] phy_tx_deemph_o
		.phy_tx_margin_o(phy_tx_margin_o), //output [2:0] phy_tx_margin_o
		.phy_tx_swing_o(phy_tx_swing_o), //output phy_tx_swing_o
		.phy_rx_polarity_o(phy_rx_polarity_o), //output phy_rx_polarity_o
		.phy_rx_termination_o(phy_rx_termination_o), //output phy_rx_termination_o
		.phy_rate_o(phy_rate_o), //output phy_rate_o
		.phy_elas_buf_mode_o(phy_elas_buf_mode_o), //output phy_elas_buf_mode_o
		.warm_or_hot_reset_o(warm_or_hot_reset_o), //output warm_or_hot_reset_o
		.request_active_o(request_active_o), //output request_active_o
		.bmRequestType_o(bmRequestType_o), //output [7:0] bmRequestType_o
		.bRequest_o(bRequest_o), //output [7:0] bRequest_o
		.wValue_o(wValue_o), //output [15:0] wValue_o
		.wIndex_o(wIndex_o), //output [15:0] wIndex_o
		.wLength_o(wLength_o), //output [15:0] wLength_o
		.ep0_in_buf_data_i(ep0_in_buf_data_i), //input [31:0] ep0_in_buf_data_i
		.ep0_in_buf_wren_i(ep0_in_buf_wren_i), //input ep0_in_buf_wren_i
		.ep0_in_buf_ready_o(ep0_in_buf_ready_o), //output ep0_in_buf_ready_o
		.ep0_in_buf_data_commit_i(ep0_in_buf_data_commit_i), //input ep0_in_buf_data_commit_i
		.ep0_in_buf_data_commit_len_i(ep0_in_buf_data_commit_len_i), //input [10:0] ep0_in_buf_data_commit_len_i
		.ep1_in_buf_data_i(ep1_in_buf_data_i), //input [31:0] ep1_in_buf_data_i
		.ep1_in_buf_wren_i(ep1_in_buf_wren_i), //input ep1_in_buf_wren_i
		.ep1_in_buf_ready_o(ep1_in_buf_ready_o), //output ep1_in_buf_ready_o
		.ep1_in_buf_data_commit_i(ep1_in_buf_data_commit_i), //input ep1_in_buf_data_commit_i
		.ep1_in_buf_data_commit_len_i(ep1_in_buf_data_commit_len_i), //input [10:0] ep1_in_buf_data_commit_len_i
		.ep0_out_buf_data_o(ep0_out_buf_data_o), //output [31:0] ep0_out_buf_data_o
		.ep0_out_buf_len_o(ep0_out_buf_len_o), //output [10:0] ep0_out_buf_len_o
		.ep0_out_buf_has_data_o(ep0_out_buf_has_data_o), //output ep0_out_buf_has_data_o
		.ep0_out_buf_data_ack_i(ep0_out_buf_data_ack_i), //input ep0_out_buf_data_ack_i
		.ep0_out_buf_rden_i(ep0_out_buf_rden_i), //input ep0_out_buf_rden_i
		.ep1_out_buf_data_o(ep1_out_buf_data_o), //output [31:0] ep1_out_buf_data_o
		.ep1_out_buf_len_o(ep1_out_buf_len_o), //output [10:0] ep1_out_buf_len_o
		.ep1_out_buf_has_data_o(ep1_out_buf_has_data_o), //output ep1_out_buf_has_data_o
		.ep1_out_buf_data_ack_i(ep1_out_buf_data_ack_i), //input ep1_out_buf_data_ack_i
		.ep1_out_buf_rden_i(ep1_out_buf_rden_i) //input ep1_out_buf_rden_i
	);

//--------Copy end-------------------
