.main clear

## part 1: new lib
vlib work
vmap work work




## part 2: load design

vlog -novopt -incr -work work "./../../tb/serdes/serdes.v"

vlog -novopt -incr -work work "./../../tb/serdes/usb3_0_phy/usb30phy_vg.vg"

vlog -novopt -incr -work work "./../../prj/src/usb30_user_layer/*.v"

vlog -novopt -incr -work work "./../../tb/*.v"


vlog -novopt -incr -work work "./../../prj/src/usb30_device_controller/USB30_Device_Controller.vo"




## part 3: sim design
vsim -novopt work.usb_3_0_sim_top

## part 4: add signals
##add wave *
do wave.do

## part 5: show ui 
view wave

view signals

## part 6: run 
run -all

